<?xml version="1.0" encoding="iso-8859-1"?>

<!--
text.xsl

Copyright (c) 2001,2002 Florent Villard (warly@laposte.net)
Published under the GPL license.
-->

<xsl:stylesheet version="1.0"
	 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html" omit-xml-declaration="yes" indent="yes" encoding="iso-8859-1"/>
  <xsl:output doctype-public="-//W3C//DTD HTML 4.0//EN"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
<html>
<head>
<title>
	<xsl:value-of select="vie/header/doctitle"/>
</title>
<link rel="stylesheet" type="text/css" href="index.css"></link>
    <style type="text/css">	
      A:link { color:#F73 }
      A:active { color:#000 }
      A:visited { color:#F73 }
      #p1 {
      font-size: 20px;
      font-family: helvetica;
      font-style: normal;
      font-weight: bold;
      text-align: center;
      position: relative; 
      left: 10px; 
      top: 100px; 
      z-index: 1; 
       }
      #p2 {
      font-size: 10px;
      font-family: helvetica;
      font-style: normal;
      font-weight: bold;
      text-align: left;
      position: relative; 
      left: 10px; 
      top: 250px; 
      z-index: 1; 
      }
      #part {
      font-size: 28px;
      font-family: helvetica;
      font-style: normal;
      position: relative; 
      font-weight: bold;
      text-align: center;
      }
      #chapter {
      font-size: 14px;
      font-family: helvetica;
      position: relative; 
      font-style: normal;
      font-weight: bold;
      text-align: left;
      }
      #section {
      font-size: 12px;
      font-family: helvetica;
      font-style: normal;
      font-weight: bold;
      text-align: left;
      }
      #day {
      font-size: 12px;
      font-family: helvetica;
      font-style: normal;
      font-weight: bold;
      text-align: left;
      }
      #para {
      font-size: 12px;
      font-family: helvetica;
      font-style: normal;
      text-align: justify;
      }
      #d1 {
      position: absolute; 
      left: 100px; 
      top: 10px; 
      width: 400px;
      z-index: 1; 
      }
      #d2 {
      position: absolute;
      left: 100px;
      top: 550px;
      width: 400px;
      z-index: 1;
      }
      #c2 {
      position: absolute; 
      left: 10px; 
      top: 10px; 
      width: 350px;
      z-index: 1; 
      }
      #c1 {
      position: absolute; 
      left: 400px; 
      top: 10px; 
      width: 350px;
      z-index: 1;
      }
      #e2 {
      position: absolute; 
      left: 10px; 
      top: 600px; 
      width: 350px;
      z-index: 1; 
      }
      #e1 {
      position: absolute; 
      left: 400px; 
      top: 600px; 
      width: 350px;
      z-index: 1;
      }
    </style>
</head>
	  <xsl:apply-templates select="vie"/>
</html>
  </xsl:template>

  <xsl:template name="newLine">
<xsl:text>
</xsl:text>
  </xsl:template>

  <xsl:template match="vie">
	<body bgcolor="#ffffff">
	<div id="d1">
        <xsl:apply-templates select="header"/>
	</div>
	<div id="d2">
 	<xsl:apply-templates select="body"/>
	</div>
	</body>
  </xsl:template>

  <xsl:template match="header">
    <p id="p1">
        <xsl:value-of select="doctitle"/>
	<br></br>
	<br></br>
	<xsl:value-of select="booktitle"/>
	<br></br>
        <br></br>
        <xsl:apply-templates select="author"/>
	<br></br>
        <br></br>
	<xsl:value-of select="date"/>
    </p>
    <p id="p2">
        <br></br>
	<xsl:apply-templates select="version"/>
	<br></br>
	<xsl:apply-templates select="copyright"/>
	<br></br>
    </p>
      </xsl:template>

  <xsl:template match="author">
	<xsl:value-of select="firstname"/>
	<xsl:text> (</xsl:text>
	<xsl:value-of select="surname"/>
	<xsl:text>) </xsl:text>
	<xsl:value-of select="lastname"/>
  </xsl:template>

  <xsl:template match="date">
	<xsl:call-template name="newLine"/>
	<xsl:value-of select="."/>
	<xsl:call-template name="newLine"/>
  </xsl:template>

  <xsl:template match="copyright">
	<xsl:call-template name="newLine"/>
	<xsl:text>Copyright </xsl:text>
	<xsl:value-of select="year"/>
	<xsl:text> </xsl:text>
        <xsl:value-of select="holder"/>
	<xsl:call-template name="newLine"/>
        <br></br>
        <br></br>
	<xsl:value-of select="license"/>
	<xsl:call-template name="newLine"/>
        <br></br>
        <br></br>
	<xsl:apply-templates select="licensetext"/>
	<xsl:call-template name="newLine"/>
  </xsl:template>

  <xsl:template match="licensetext">
	<xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="version">
	<xsl:text>Version: </xsl:text><xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="body">
      <xsl:apply-templates select="acknowledgments"/>
      <xsl:apply-templates select="prface"/>
      <p id="chapter"> Table des matires
	<xsl:apply-templates select="(/vie/body/part|/vie/body/chapter)" mode="header"/>
    </p>
    <xsl:apply-templates select="(part|chapter|section|para|day|img|a|i|b)"/>
  </xsl:template>

  <xsl:template match="/vie/body/part" mode="header">
      <a>
	  <xsl:attribute name="href">
	      #<xsl:value-of select="title"/>
	  </xsl:attribute>
	  <xsl:value-of select="title"/>
      </a><br></br>
  </xsl:template>
  
  <xsl:template match="part">
	<br></br>
	<br></br>
	<p id="part">
	    <a>
		<xsl:attribute name="name">
		    <xsl:value-of select="title"/>
		</xsl:attribute>
	    </a>
	    <xsl:value-of select="title"/>
	<xsl:call-template name="newLine"/>
	<xsl:value-of select="subtitle"/>
	</p>
	<xsl:call-template name="newLine"/>
	<xsl:apply-templates select="(para|chapter|section|day|img|a|i|b)"/>
  </xsl:template>
  
  <xsl:template match="/vie/body/chapter" mode="header">
      <a>
	  <xsl:attribute name="href">
	      #<xsl:value-of select="title"/>
	  </xsl:attribute>
	  <xsl:value-of select="title"/>
      </a><br></br>
  </xsl:template>

  <xsl:template match="chapter">
      <p id="chapter">
	  <a>
		<xsl:attribute name="name">
		    <xsl:value-of select="title"/>
		</xsl:attribute>
	    </a><xsl:value-of select="title"/>
	<xsl:call-template name="newLine"/>
	<xsl:value-of select="subtitle"/>
	</p>
 	<xsl:call-template name="newLine"/>
	<xsl:apply-templates select="(para|section|day|img|a|i|b)"/>
  </xsl:template>

 <xsl:template match="acknowledgments">
        <p id="chapter"><xsl:text>Remerciements</xsl:text>
	</p>
	<xsl:call-template name="newLine"/>
	<xsl:apply-templates select="(para|day|img|a|i|b)"/>
  </xsl:template>

  <xsl:template match="day">
        <p id="day"><xsl:value-of select="."/>
	</p>
  </xsl:template>

  <xsl:template match="img">
      <img>
	  <xsl:attribute name="src">
	      <xsl:value-of select="src"/>.png</xsl:attribute>
	  <xsl:attribute name="alt">
	      <xsl:value-of select="index"/>
	  </xsl:attribute>
	  <xsl:attribute name="align">top </xsl:attribute>
	  <xsl:attribute name="border">0</xsl:attribute>
      </img>
       <p id="day"><xsl:value-of select="caption"/></p>
  </xsl:template>

  <xsl:template match="preface">
        <p id="chapter"><xsl:text>Preface</xsl:text>
 	</p>
	<xsl:call-template name="newLine"/>
	<xsl:apply-templates select="para"/>
  </xsl:template>

  <xsl:template match="section">
        <p id="section"><xsl:value-of select="title"/>
 	</p>
	<xsl:call-template name="newLine"/>
	<xsl:apply-templates select="para"/>
  </xsl:template>
   
  <xsl:template match="para">
    <xsl:call-template name="newLine"/>
    <p id="para">
    <xsl:apply-templates/>
    </p>
  </xsl:template>
  
  <xsl:template match="a">
	<a><xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute><xsl:value-of select="."/></a>
  </xsl:template>

  <xsl:template match="i">
        <i><xsl:value-of select="."/></i>
  </xsl:template>

  <xsl:template match="b">
        <b><xsl:value-of select="."/></b>
  </xsl:template>


</xsl:stylesheet>
